Name:           cert-forensics-tools-release
%if 0%{?fedora} > 0
Version:	%(eval "echo %{dist} | sed -n -e 's/.fc//p'")
%endif
%if  0%{?rhel} == 5
Version:        %(eval "echo `awk '{print $3}' /etc/redhat-release`")
%endif
%if 0%{?rhel} == 6
Version:	%(eval "echo %{dist} | sed -n -e 's/.el//p'")
%endif
Release:        10
Summary:        CERT Forensics Tools Freeword Respository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://www.cert.org/forensics
Source0:        RPM-GPG-KEY-cert-forensics-2016-02-22
Source1:        RPM-GPG-KEY-splunk
Source2:        cert-forensics-tools-fedora.repo
Source3:        cert-forensics-tools-centos.repo
BuildRoot:      %{buildroot}

BuildArch:      noarch
%if 0%{?fedora} > 0
Requires:       fedora-release == %{version}
%endif
%if 0%{?rhel} > 0
Requires:       redhat-release >= %{rhel}
%endif

%description
cert forensics tools freeworld repository contains open source and other
distributable software for Fedora and CentOS/RHEL.

This package contains the repository GPG key as well as configuration
for the Yum, Smart, and APT-RPM package managers.

%prep
%setup -c -T -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT

# common
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cert-forensics-2016-02-22

install -Dpm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-splunk

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%if 0%{?fedora} > 0
	install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cert-forensics-tools.repo
%endif
%if 0%{?rhel} > 0
	install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cert-forensics-tools.repo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config %{_sysconfdir}/yum.repos.d/*

%changelog
* Tue Mar 25 2014 Lawrence R. Rogers <lrr@cert.org> 1.0-10
* Release 1.0-10
- Added new repo - forensics-sip - which contains SiLK with IPA and PostgreSQL.

* Mon Jan 06 2014 Lawrence R. Rogers <lrr@cert.org> 1.0-9
* Release 1.0-9
- New CERT Forensics Operations and InvestigationsTeam key - expires on 2016-02-22.

* Tue Jan 17 2012 Lawrence R. Rogers <lrr@cert.org> 1.0-8
* Release 1.0-8
- New CERT Forensics Team key - expires on 2014-01-06. This RPM contains the 2012 key and is signed by the 2012 key.

* Wed Jan 11 2012 Lawrence R. Rogers <lrr@cert.org> 1.0-7
* Release 1.0-7
- New CERT Forensics Team key - expires on 2014-01-06

* Mon Jun 07 2010 Lawrence R. Rogers <lrr@cert.org> 1.0-6
* Release 1.0-6
- Now dynamically determines the fedora release.

* Thu Mar 04 2010 Lawrence R. Rogers <lrr@cert.org> 1.0-5
* Release 1.0-5
- Fedora 12 no longer needs memdump and fatback repos.

* Thu Jan 07 2010 Lawrence R. Rogers <lrr@cert.org> 1.0-4
* Release 1.0-4
- New CERT Forensics Team key

* Thu Jun 11 2009 Lawrence R. Rogers <lrr@cert.org> 1.0-3
* Release 1.0-3
- Initial Package for Fedora 11

* Tue Aug 05 2008 Lawrence R. Rogers <lrr@cert.org> 1.0-1
* Release 1.0-1
- initial package for Fedora 8
